Bug 509159 - (PragmARC) Review Request: PragmARC – a component library for Ada
Review Request: PragmARC – a component library for Ada
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
Depends On: 507247 gnat-project-common
Blocks: mine_detector
  Show dependency treegraph
Reported: 2009-07-01 11:29 EDT by Björn Persson
Modified: 2011-07-03 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-01 21:29:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Björn Persson 2009-07-01 11:29:52 EDT
Spec URL: http://www.rombobjörn.se/packages/PragmARC.spec
SRPM URL: http://www.rombobjörn.se/packages/PragmARC-20060427-1.fc11.src.rpm

The PragmAda Reusable Components (PragmARCs) is a library of containers, algorithms and utility components for Ada, ranging from the basic-but-essential to the high-level.

This package depends on gnat-project-common, review request 509158. It won't work with gcc-gnat-4.4.0-4; see bug 507247 and the patch submitted there.

RPMlint output:
PragmARC.spec: E: no-buildroot-tag
Since RPMbuild now ignores the buildroot tag I don't see why I would need one.

I should also mention that I need a sponsor.
Comment 1 Björn Persson 2009-07-03 12:21:25 EDT
Updated to require fedora-gnat-project-common:

Comment 2 Björn Persson 2009-07-23 17:18:09 EDT
Apparently the buildroot tag is still required for bureaucratic reasons, so I added one.

Comment 3 Björn Persson 2009-08-07 19:57:18 EDT
Updated the URLs because the PragmAda site moved:

Comment 4 Peter Lemenkov 2009-09-27 13:01:04 EDT
unblocking FE-NEEDSPONSOR - I just sponsored Björn Persson.
Comment 5 Peter Lemenkov 2009-10-11 14:53:09 EDT
I'll review it.
Comment 6 Peter Lemenkov 2009-10-29 07:19:25 EDT
Koji successful scratchbuild for F-11:

Sources, used to build package, are matching upstream ones:
[petro@Sulaco SOURCES]$ sha256sum pragmarc.zip*
6c80906ed7b64fb1c065f1a7a9331fa644ce1c2f34e807dd794d74db92201da9  pragmarc.zip
6c80906ed7b64fb1c065f1a7a9331fa644ce1c2f34e807dd794d74db92201da9  pragmarc.zip.1
[petro@Sulaco SOURCES]$


+ rpmlint is silent:

[petro@Workplace tmp]$ rpmlint PragmARC-
PragmARC-20060427-4.fc11.i586.rpm            PragmARC-debuginfo-20060427-4.fc11.i586.rpm  PragmARC-devel-20060427-4.fc11.i586.rpm      
[petro@Workplace tmp]$ rpmlint PragmARC-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Workplace tmp]$ 

+ The package is named according to the  Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license. (GPL with exceptions)
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package are matching the upstream source.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture. 
+ All build dependencies are listed in BuildRequires.
+ The package (or subpackage) calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings. 
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Development-related files are in a -devel package.
+ The library file that end in .so (without suffix) is in a -devel package. [20]
+ The devel sub-package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Comment 7 Björn Persson 2009-10-29 19:29:15 EDT
Thanks for the review!

New Package CVS Request
Package Name: PragmARC
Short Description: PragmAda Reusable Components, a component library for Ada
Owners: rombobeorn
Branches: F-11 F-12
Comment 8 Kevin Fenzi 2009-10-31 19:54:14 EDT
cvs done.
Comment 9 Fedora Update System 2009-11-01 21:21:12 EST
PragmARC-20060427-5.fc11 has been submitted as an update for Fedora 11.
Comment 10 Björn Persson 2009-11-01 21:29:14 EST
Package imported, closing.
Comment 11 Fedora Update System 2009-11-04 21:40:15 EST
PragmARC-20060427-6.fc11 has been submitted as an update for Fedora 11.
Comment 12 Fedora Update System 2009-11-08 19:17:32 EST
PragmARC-20060427-6.fc12 has been submitted as an update for Fedora 12.
Comment 13 Fedora Update System 2009-11-10 12:44:35 EST
PragmARC-20060427-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-11-10 12:55:48 EST
PragmARC-20060427-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Björn Persson 2011-07-03 19:16:25 EDT
Package Change Request
Package Name: PragmARC
New Branches: el6
Owners: rombobeorn
Comment 16 Gwyn Ciesla 2011-07-03 19:31:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.